Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 57866 - Fails to compile with gcc-3.1-0.10
Fails to compile with gcc-3.1-0.10
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-29 00:30 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-29 13:16:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-12-29 00:30:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011113

Description of problem:
Undefined references in linker

Version-Release number of selected component (if applicable):
XFree86-4.1.0-12

How reproducible:
Always

Steps to Reproduce:
1.Compile from source
2.
3.
	

Actual Results:  gcc -o Xprt -O2 -march=i686 -pipe -ansi -pedantic -Wall
-Wpointer-arith     -L../../exports/lib Xprint/ddxInit.o Xprint/miinitext.o
Xprint/dpmsstubs.o         dix/libdix.a os/libos.a ../../lib/Xau/libXau.a
../../lib/Xdmcp/libXdmcp.a  Xprint/libprinter.a        Xprint/pcl/libpcl.a
 Xprint/ps/libps.a mfb/libmfb.a cfb/libcfb.a             cfb32/libcfb32.a
mfb/libmfb.a dix/libxpstubs.a mi/libmi.a Xext/libexts.a xkb/libxkb.a
Xi/libxinput.a                   lbx/liblbx.a                  
../../lib/lbxutil/liblbxutil.a  render/librender.a
PEX5/dipex/dispatch/libdidipex.a                   
PEX5/dipex/swap/libdiswapex.a                   
PEX5/dipex/objects/libdiobpex.a                   
PEX5/dipex/dispatch/libdidipex.a                   
PEX5/ddpex/mi/level4/libddpex4.a                   
PEX5/ddpex/mi/level3/libddpex3.a                   
PEX5/ddpex/mi/shared/libddpexs.a                   
PEX5/ddpex/mi/level2/libddpex2.a                   
PEX5/ddpex/mi/level1/libddpex1.a                    PEX5/ospex/libospex.a
XIE/dixie/libdixie.a          XIE/mixie/libmixie.a Xext/libext.a
dbe/libdbe.a record/librecord.a                   GL/glx/libglx.a         
      GL/mesa/src/libGLcore.a os/libcwrapper.o    
../../lib/font/libXfont.a dix/libxpstubs.a mi/libcbrt.a -lz -lm           
       -lpam -rdynamic -ldl -lpam_misc  -Wl,-rpath-link,../../exports/lib
PEX5/ddpex/mi/level2/libddpex2.a(miCopy.o)(.rodata+0x440): undefined
reference to `.L320'
PEX5/ddpex/mi/level2/libddpex2.a(miCopy.o)(.rodata+0x444): undefined
reference to `.L320'
PEX5/ddpex/mi/level2/libddpex2.a(miCopy.o)(.rodata+0x448): undefined reference 
o `.L320'
PEX5/ddpex/mi/level2/libddpex2.a(miCopy.o)(.rodata+0x44c): undefined
reference to `.L320'
PEX5/ddpex/mi/level2/libddpex2.a(miCopy.o)(.rodata+0x450): undefined
reference to `.L320'
PEX5/ddpex/mi/level2/libddpex2.a(miCopy.o)(.rodata+0x454): undefined
reference to `.L319'
PEX5/ddpex/mi/level2/libddpex2.a(miCopy.o)(.rodata+0x458): undefined
reference to `.L320'
collect2: ld returned 1 exit status
make[4]: *** [Xprt] Error 1
make[4]: Leaving directory
`/usr/src/redhat/BUILD/XFree86-4.1.0/xc/programs/Xserver'

Expected Results:  successful compile

Additional info:

binutils-2.11.92.0.12-4, gcc-3.1-0.10. Compiles OK with
compat-gcc-7.2-2.96.101.9
Comment 1 Mike A. Harris 2001-12-29 13:15:46 EST
X currently is compiled using gcc 2.96.  I am not using gcc 3 yet due
to many problems.
Comment 2 Mike A. Harris 2002-01-23 15:10:03 EST
XFree86 4.2.0 is in rawhide now and compiles ok.

Note You need to log in before you can comment on or make changes to this bug.